Package org.apache.sysds.runtime.iogen.codegen

## Class CodeGenTrie

- java.lang.Object
- - org.apache.sysds.runtime.iogen.codegen.CodeGenTrie

    public class CodeGenTrie
    extends Object

### Constructor Summary

Constructors
`CodeGenTrie​(CustomProperties properties, String destination, boolean isMatrix, FormatIdentifyer formatIdentifyer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getJavaCode()`
`String` `getRandomName​(String base)`
`void` `setMatrix​(boolean matrix)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CodeGenTrie

    public CodeGenTrie​(CustomProperties properties,
                       String destination,
                       boolean isMatrix,
                       FormatIdentifyer formatIdentifyer)

### Method Detail

#### getJavaCode

    public String getJavaCode()

#### getRandomName

    public String getRandomName​(String base)

#### setMatrix

    public void setMatrix​(boolean matrix)